Skip to main content
GET
/
addresses
/
{address_hash}
/
tokens
token balances with filtering and pagination
curl --request GET \
  --url https://eth.blockscout.com/api/v2/addresses/{address_hash}/tokens
{
  "items": [
    {
      "value": "10000",
      "token_id": "123",
      "token": {
        "name": "Tether USD",
        "decimals": "16",
        "symbol": "USDT",
        "type": "ERC-20",
        "exchange_rate": "0.99",
        "total_supply": "10000000",
        "address_hash": "0x394c399dbA25B99Ab7708EdB505d755B3aa29997",
        "holders_count": 837494234523
      }
    }
  ],
  "next_page_params": {
    "items_count": 50,
    "token_name": null,
    "token_type": "ERC-1155",
    "value": 14
  }
}

Path Parameters

address_hash
string
required

Address hash

Pattern: ^0x([A-Fa-f0-9]{40})$

Query Parameters

type
string
Example:

"ERC-20,ERC-721,ERC-1155"

Response

address

items
object[]
required
next_page_params
object
required
Example:
{
"items_count": 50,
"token_name": null,
"token_type": "ERC-1155",
"value": 14
}